Open Bug 1557181 Opened 1 year ago Updated 19 days ago

Intermittent devtools/client/inspector/grids/test/browser_grids_grid-outline-updates-on-grid-change.js | A promise chain failed to handle a rejection: this.parentGridHighlighters is null - stack: onMarkupMutation@resource://

Categories

(DevTools :: Inspector, defect, P5)

defect

Tracking

(Not tracked)

People

(Reporter: intermittent-bug-filer, Assigned: apavel)

References

(Regression)

Details

(Keywords: intermittent-failure, leave-open, regression, Whiteboard: [stockwell disabled][stockwell needswork:owner])

Attachments

(3 files)

Filed by: nerli [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=250259072&repo=mozilla-inbound
Full log: https://queue.taskcluster.net/v1/task/O-A1xV_-TqGOGdPbibaB-Q/runs/0/artifacts/public/logs/live_backing.log


[task 2019-06-05T23:15:06.470Z] 23:15:06 INFO - TEST-PASS | devtools/client/inspector/grids/test/browser_grids_grid-outline-updates-on-grid-change.js | Grid outline was changed. -
[task 2019-06-05T23:15:06.474Z] 23:15:06 INFO - Leaving test bound
[task 2019-06-05T23:15:06.480Z] 23:15:06 INFO - Console message: [JavaScript Error: "TypeError: this.parentGridHighlighters is null" {file: "resource://devtools/client/inspector/shared/highlighters-overlay.js" line: 1266}]
[task 2019-06-05T23:15:06.485Z] 23:15:06 INFO - Buffered messages logged at 23:15:05
[task 2019-06-05T23:15:06.488Z] 23:15:06 INFO - Removing tab.
[task 2019-06-05T23:15:06.489Z] 23:15:06 INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2019-06-05T23:15:06.492Z] 23:15:06 INFO - Got event: 'TabClose' on [object XULElement].
[task 2019-06-05T23:15:06.494Z] 23:15:06 INFO - Tab removed and finished closing
[task 2019-06-05T23:15:06.495Z] 23:15:06 INFO - Buffered messages finished
[task 2019-06-05T23:15:06.498Z] 23:15:06 INFO - TEST-UNEXPECTED-FAIL | devtools/client/inspector/grids/test/browser_grids_grid-outline-updates-on-grid-change.js | A promise chain failed to handle a rejection: this.parentGridHighlighters is null - stack: onMarkupMutation@resource://devtools/client/inspector/shared/highlighters-overlay.js:1266:24
[task 2019-06-05T23:15:06.500Z] 23:15:06 INFO - Asyncemit@resource://devtools/shared/event-emitter.js:186:24
[task 2019-06-05T23:15:06.502Z] 23:15:06 INFO - emit@resource://devtools/shared/event-emitter.js:267:18
[task 2019-06-05T23:15:06.503Z] 23:15:06 INFO - _mutationObserver/<@resource://devtools/client/inspector/markup/markup.js:1277:22
[task 2019-06-05T23:15:06.507Z] 23:15:06 INFO - process@resource://gre/modules/Promise-backend.js:923:38
[task 2019-06-05T23:15:06.509Z] 23:15:06 INFO - walkerLoop@resource://gre/modules/Promise-backend.js:807:29
[task 2019-06-05T23:15:06.511Z] 23:15:06 INFO - Promise
scheduleWalkerLoop@resource://gre/modules/Promise-backend.js:740:19
[task 2019-06-05T23:15:06.512Z] 23:15:06 INFO - schedulePromise@resource://gre/modules/Promise-backend.js:771:12
[task 2019-06-05T23:15:06.514Z] 23:15:06 INFO - Promise.prototype.then@resource://gre/modules/Promise-backend.js:456:19
[task 2019-06-05T23:15:06.515Z] 23:15:06 INFO - _mutationObserver@resource://devtools/client/inspector/markup/markup.js:1261:56
[task 2019-06-05T23:15:06.517Z] 23:15:06 INFO - emit@resource://devtools/shared/event-emitter.js:186:24
[task 2019-06-05T23:15:06.518Z] 23:15:06 INFO - emit@resource://devtools/shared/event-emitter.js:267:18
[task 2019-06-05T23:15:06.520Z] 23:15:06 INFO - getMutations/<@resource://devtools/shared/fronts/inspector.js:403:12
[task 2019-06-05T23:15:06.521Z] 23:15:06 INFO - promise callbackgetMutations@resource://devtools/shared/fronts/inspector.js:262:40
[task 2019-06-05T23:15:06.525Z] 23:15:06 INFO - onMutations@resource://devtools/shared/fronts/inspector.js:414:10
[task 2019-06-05T23:15:06.526Z] 23:15:06 INFO - onPacket@resource://devtools/shared/protocol.js:1413:36
[task 2019-06-05T23:15:06.528Z] 23:15:06 INFO - onPacket@resource://devtools/shared/client/debugger-client.js:602:13
[task 2019-06-05T23:15:06.529Z] 23:15:06 INFO - send/<@resource://devtools/shared/transport/local-transport.js:64:23
[task 2019-06-05T23:15:06.531Z] 23:15:06 INFO - exports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22
[task 2019-06-05T23:15:06.532Z] 23:15:06 INFO - DevToolsUtils.executeSoon
exports.executeSoon@resource://devtools/shared/DevToolsUtils.js:55:21
[task 2019-06-05T23:15:06.534Z] 23:15:06 INFO - send@resource://devtools/shared/transport/local-transport.js:58:21
[task 2019-06-05T23:15:06.536Z] 23:15:06 INFO - send@resource://devtools/server/main.js:1023:20
[task 2019-06-05T23:15:06.538Z] 23:15:06 INFO - receiveMessage@resource://devtools/shared/transport/child-transport.js:66:16
[task 2019-06-05T23:15:06.543Z] 23:15:06 INFO - MessageListener.receiveMessage*_addListener@resource://devtools/shared/transport/child-transport.js:40:14
[task 2019-06-05T23:15:06.546Z] 23:15:06 INFO - ready@resource://devtools/shared/transport/child-transport.js:57:10
[task 2019-06-05T23:15:06.548Z] 23:15:06 INFO - connectToFrame/</onActorCreated<@resource://devtools/server/main.js:730:24
[task 2019-06-05T23:15:06.550Z] 23:15:06 INFO - exports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22
[task 2019-06-05T23:15:06.552Z] 23:15:06 INFO - MessageListener.receiveMessagetrackMessageManager@resource://devtools/server/main.js:612:14
[task 2019-06-05T23:15:06.554Z] 23:15:06 INFO - connectToFrame/<@resource://devtools/server/main.js:825:7
[task 2019-06-05T23:15:06.556Z] 23:15:06 INFO - connectToFrame@resource://devtools/server/main.js:601:12
[task 2019-06-05T23:15:06.558Z] 23:15:06 INFO - connect@resource://devtools/server/actors/targets/frame-proxy.js:57:36
[task 2019-06-05T23:15:06.561Z] 23:15:06 INFO - async
BrowserTabList.prototype._getActorForBrowser@resource://devtools/server/actors/webbrowser.js:318:16
[task 2019-06-05T23:15:06.563Z] 23:15:06 INFO - BrowserTabList.prototype.getTab@resource://devtools/server/actors/webbrowser.js:356:21
[task 2019-06-05T23:15:06.565Z] 23:15:06 INFO - onGetTab@resource://devtools/server/actors/root.js:346:35
[task 2019-06-05T23:15:06.566Z] 23:15:06 INFO - onPacket@resource://devtools/server/main.js:1291:58
[task 2019-06-05T23:15:06.568Z] 23:15:06 INFO - send/<@resource://devtools/shared/transport/local-transport.js:64:23
[task 2019-06-05T23:15:06.570Z] 23:15:06 INFO - exports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22
[task 2019-06-05T23:15:06.571Z] 23:15:06 INFO - DevToolsUtils.executeSoonexports.executeSoon@resource://devtools/shared/DevToolsUtils.js:55:21
[task 2019-06-05T23:15:06.573Z] 23:15:06 INFO - send@resource://devtools/shared/transport/local-transport.js:58:21
[task 2019-06-05T23:15:06.575Z] 23:15:06 INFO - send@resource://devtools/shared/protocol.js:1370:30
[task 2019-06-05T23:15:06.576Z] 23:15:06 INFO - request@resource://devtools/shared/protocol.js:1388:10
[task 2019-06-05T23:15:06.578Z] 23:15:06 INFO - generateRequestMethods/</frontProto[name]@resource://devtools/shared/protocol.js:1510:19
[task 2019-06-05T23:15:06.580Z] 23:15:06 INFO - getTab@resource://devtools/shared/fronts/root.js:237:18
[task 2019-06-05T23:15:06.582Z] 23:15:06 INFO - createTargetForTab@resource://devtools/client/framework/target.js:87:28
[task 2019-06-05T23:15:06.583Z] 23:15:06 INFO - async
forTab@resource://devtools/client/framework/target.js:32:26
[task 2019-06-05T23:15:06.585Z] 23:15:06 INFO - openToolboxForTab@chrome://mochitests/content/browser/devtools/client/shared/test/shared-head.js:409:38
[task 2019-06-05T23:15:06.586Z] 23:15:06 INFO - openInspector@chrome://mochitests/content/browser/devtools/client/inspector/test/shared-head.js:30:25
[task 2019-06-05T23:15:06.588Z] 23:15:06 INFO - openInspectorSidebarTab@chrome://mochitests/content/browser/devtools/client/inspector/test/shared-head.js:55:49
[task 2019-06-05T23:15:06.589Z] 23:15:06 INFO - openLayoutView@chrome://mochitests/content/browser/devtools/client/inspector/test/shared-head.js:149:10
[task 2019-06-05T23:15:06.591Z] 23:15:06 INFO - @chrome://mochitests/content/browser/devtools/client/inspector/grids/test/browser_grids_grid-outline-updates-on-grid-change.js:26:57
[task 2019-06-05T23:15:06.592Z] 23:15:06 INFO - Async*Tester_execTest/<@chrome://mochikit/content/browser-test.js:1115:34
[task 2019-06-05T23:15:06.594Z] 23:15:06 INFO - Tester_execTest@chrome://mochikit/content/browser-test.js:1143:12
[task 2019-06-05T23:15:06.596Z] 23:15:06 INFO - nextTest/<@chrome://mochikit/content/browser-test.js:1004:14
[task 2019-06-05T23:15:06.598Z] 23:15:06 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:803:59
[task 2019-06-05T23:15:06.599Z] 23:15:06 INFO - Rejection date: Wed Jun 05 2019 23:15:03 GMT+0000 (Coordinated Universal Time) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 257
[task 2019-06-05T23:15:06.601Z] 23:15:06 INFO - Stack trace:
[task 2019-06-05T23:15:06.602Z] 23:15:06 INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:257
[task 2019-06-05T23:15:06.604Z] 23:15:06 INFO - chrome://mochikit/content/browser-test.js:nextTest:754
[task 2019-06-05T23:15:06.606Z] 23:15:06 INFO - chrome://mochikit/content/browser-test.js:testScope/test_finish/<:1416
[task 2019-06-05T23:15:06.607Z] 23:15:06 INFO - chrome://mochikit/content/browser-test.js:run:1353
[task 2019-06-05T23:15:06.609Z] 23:15:06 INFO - GECKO(1847) | MEMORY STAT | vsize 2997MB | residentFast 398MB | heapAllocated 131MB

Gabriel I believe this is from bug 1550519 can you please take a look?

Flags: needinfo?(gl)
Regressed by: 1550519

Hi, yes I will take a look.

Flags: needinfo?(gl)
Assignee: nobody → gl
Status: NEW → ASSIGNED

There were 56 occurrences of this fail in the past week: linux64/linux64-ccov debug, windows10-64-ccov debug, windows10-64 asan and macosx1010-64 debug.
Latest test failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=252248151&repo=mozilla-central&lineNumber=6258
[task 2019-06-18T05:22:11.379Z] 05:22:11 INFO - TEST-START | devtools/client/inspector/grids/test/browser_grids_grid-outline-updates-on-grid-change.js
[task 2019-06-18T05:22:11.436Z] 05:22:11 INFO - GECKO(1861) | ++DOCSHELL 0x7f5c27d31000 == 2 [pid = 2042] [id = {91e42031-f02d-4ce4-947b-f453af67d074}]
[task 2019-06-18T05:22:11.437Z] 05:22:11 INFO - GECKO(1861) | ++DOMWINDOW == 4 (0x7f5c28c80010) [pid = 2042] [serial = 43] [outer = (nil)]
[task 2019-06-18T05:22:11.513Z] 05:22:11 INFO - GECKO(1861) | [Child 2042, Main Thread] WARNING: No active window: file /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp, line 662
[task 2019-06-18T05:22:11.529Z] 05:22:11 INFO - GECKO(1861) | ++DOMWINDOW == 5 (0x7f5c27d23800) [pid = 2042] [serial = 44] [outer = 0x7f5c28c80010]
[task 2019-06-18T05:22:11.590Z] 05:22:11 INFO - GECKO(1861) | ++DOMWINDOW == 6 (0x7f5c27e2fc00) [pid = 2042] [serial = 45] [outer = 0x7f5c28c80010]
[task 2019-06-18T05:22:11.615Z] 05:22:11 INFO - GECKO(1861) | [Child 2042, Main Thread] WARNING: NS_ENSURE_SUCCESS(mStatus, this) failed with result 0x80004005: file /builds/worker/workspace/build/src/obj-firefox/dist/include/nsIURIMutator.h, line 489
[task 2019-06-18T05:22:11.712Z] 05:22:11 INFO - GECKO(1861) | --DOMWINDOW == 31 (0x7ff5aefc9750) [pid = 1861] [serial = 257] [outer = (nil)] [url = about:blank]
[task 2019-06-18T05:22:11.712Z] 05:22:11 INFO - GECKO(1861) | --DOMWINDOW == 30 (0x7ff5aefc9940) [pid = 1861] [serial = 244] [outer = (nil)] [url = about:blank]
[task 2019-06-18T05:22:11.712Z] 05:22:11 INFO - GECKO(1861) | --DOMWINDOW == 29 (0x7ff5aefc8f90) [pid = 1861] [serial = 248] [outer = (nil)] [url = chrome://devtools/content/inspector/markup/markup.xhtml]
[task 2019-06-18T05:22:11.955Z] 05:22:11 INFO - GECKO(1861) | ++DOCSHELL 0x7ff5a7cc2000 == 12 [pid = 1861] [id = {7fefd193-a46b-4506-b819-ab2a7e0adf32}]
[task 2019-06-18T05:22:11.955Z] 05:22:11 INFO - GECKO(1861) | ++DOMWINDOW == 30 (0x7ff5aefc7850) [pid = 1861] [serial = 261] [outer = (nil)]
[task 2019-06-18T05:22:11.955Z] 05:22:11 INFO - GECKO(1861) | ++DOMWINDOW == 31 (0x7ff5aef77400) [pid = 1861] [serial = 262] [outer = 0x7ff5aefc7850]
[task 2019-06-18T05:22:12.178Z] 05:22:12 INFO - GECKO(1861) | ++DOMWINDOW == 32 (0x7ff5af030800) [pid = 1861] [serial = 263] [outer = 0x7ff5aefc7850]
[task 2019-06-18T05:22:12.375Z] 05:22:12 INFO - GECKO(1861) | --DOCSHELL 0x7ff5a7c6a800 == 11 [pid = 1861] [id = {43f2e9fe-c427-439e-83f8-2107fcecb927}] [url = chrome://devtools/content/inspector/index.xhtml]
[task 2019-06-18T05:22:12.376Z] 05:22:12 INFO - GECKO(1861) | --DOCSHELL 0x7ff5a7c66800 == 10 [pid = 1861] [id = {c20c2e56-01ac-4146-9012-ab9a5ac26970}] [url = about:devtools-toolbox]
[task 2019-06-18T05:22:12.376Z] 05:22:12 INFO - GECKO(1861) | --DOCSHELL 0x7ff5af06c800 == 9 [pid = 1861] [id = {e2fdd2ac-4b04-4e4d-baf2-e34df5afe5a8}] [url = about:blank]
[task 2019-06-18T05:22:12.377Z] 05:22:12 INFO - GECKO(1861) | --DOCSHELL 0x7ff5a7cc9800 == 8 [pid = 1861] [id = {6b3a1126-bd18-4fe5-8858-aa1236833d71}] [url = chrome://devtools/content/inspector/markup/markup.xhtml]
[task 2019-06-18T05:22:12.606Z] 05:22:12 INFO - GECKO(1861) | --DOMWINDOW == 3 (0x7f47f867c470) [pid = 1990] [serial = 28] [outer = (nil)] [url = about:blank]
[task 2019-06-18T05:22:12.897Z] 05:22:12 INFO - GECKO(1861) | ++DOCSHELL 0x7ff5a7c64800 == 9 [pid = 1861] [id = {ea792e8e-a4d6-45c3-aaa9-f9c782965ac2}]
[task 2019-06-18T05:22:12.898Z] 05:22:12 INFO - GECKO(1861) | ++DOMWINDOW == 33 (0x7ff5aefc7e20) [pid = 1861] [serial = 264] [outer = (nil)]
[task 2019-06-18T05:22:12.899Z] 05:22:12 INFO - GECKO(1861) | ++DOMWINDOW == 34 (0x7ff5af125c00) [pid = 1861] [serial = 265] [outer = 0x7ff5aefc7e20]
[task 2019-06-18T05:22:13.059Z] 05:22:13 INFO - GECKO(1861) | --DOMWINDOW == 2 (0x7fd69155a000) [pid = 1940] [serial = 31] [outer = (nil)] [url = data:text/html;charset=utf-8,%0A%20%20%3Cstyle%20type%3D'text%2Fcss'%3E%0A%20%20%20%20.grid%20%7B%0A%20%20%20%20%20%20display%3A%20grid%3B%0A%20%20%20%20%7D%0A%20%20%3C%2Fstyle%3E%0A%20%20%3Cdiv%20id%3D%22grid1%22%20class%3D%22grid%22%3E%0A%20%20%20%20%3Cdiv%20class%3D%22cell1%22%3Ecell1%3C%2Fdiv%3E%0A%20%20%20%20%3Cdiv%20class%3D%22cell2%22%3Ecell2%3C%2Fdiv%3E%0A%20%20%3C%2Fdiv%3E%0A%20%20%3Cdiv%20id%3D%22grid2%22%20class%3D%22grid%22%3E%0A%20%20%20%20%3Cdiv%20class%3D%22cell1%22%3Ecell1%3C%2Fdiv%3E%0A%20%20%20%20%3Cdiv%20class%3D%22cell2%22%3Ecell2%3C%2Fdiv%3E%0A%20%20%3C%2Fdiv%3E%0A]
[task 2019-06-18T05:22:13.059Z] 05:22:13 INFO - GECKO(1861) | --DOCSHELL 0x7fd68e51a800 == 0 [pid = 1940] [id = {cb81ff8e-6bf5-4002-9c15-ce51e8448f59}] [url = about:blank]
[task 2019-06-18T05:22:13.222Z] 05:22:13 INFO - GECKO(1861) | [Parent 1861, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x805D0021: file /builds/worker/workspace/build/src/modules/libjar/nsJARChannel.cpp, line 994
[task 2019-06-18T05:22:13.359Z] 05:22:13 INFO - GECKO(1861) | ++DOCSHELL 0x7ff5af006000 == 10 [pid = 1861] [id = {0b8d5b08-e3f9-40bb-970f-a0c525a40e3a}]
[task 2019-06-18T05:22:13.360Z] 05:22:13 INFO - GECKO(1861) | ++DOMWINDOW == 35 (0x7ff5aefcaab0) [pid = 1861] [serial = 266] [outer = (nil)]
[task 2019-06-18T05:22:13.570Z] 05:22:13 INFO - GECKO(1861) | ++DOMWINDOW == 36 (0x7ff5b41ad400) [pid = 1861] [serial = 267] [outer = 0x7ff5aefcaab0]
[task 2019-06-18T05:22:14.293Z] 05:22:14 INFO - GECKO(1861) | ++DOCSHELL 0x7ff5a7c69000 == 11 [pid = 1861] [id = {34d30db3-c4ef-4ebb-b26a-92257932c6cc}]
[task 2019-06-18T05:22:14.293Z] 05:22:14 INFO - GECKO(1861) | ++DOMWINDOW == 37 (0x7ff5aefc7a40) [pid = 1861] [serial = 268] [outer = (nil)]
[task 2019-06-18T05:22:14.293Z] 05:22:14 INFO - GECKO(1861) | ++DOMWINDOW == 38 (0x7ff5b44f6800) [pid = 1861] [serial = 269] [outer = 0x7ff5aefc7a40]
[task 2019-06-18T05:22:14.435Z] 05:22:14 INFO - GECKO(1861) | ++DOCSHELL 0x7ff5aee34800 == 12 [pid = 1861] [id = {49ad057b-c8c6-4060-a998-2a737e08fbd8}]
[task 2019-06-18T05:22:14.435Z] 05:22:14 INFO - GECKO(1861) | ++DOMWINDOW == 39 (0x7ff5aefc9180) [pid = 1861] [serial = 270] [outer = (nil)]
[task 2019-06-18T05:22:15.420Z] 05:22:15 INFO - GECKO(1861) | ++DOMWINDOW == 40 (0x7ff5b41acc00) [pid = 1861] [serial = 271] [outer = 0x7ff5aefc9180]
[task 2019-06-18T05:22:15.436Z] 05:22:15 INFO - GECKO(1861) | [Parent 1861, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x805D0021: file /builds/worker/workspace/build/src/modules/libjar/nsJARChannel.cpp, line 994
[task 2019-06-18T05:22:15.904Z] 05:22:15 INFO - GECKO(1861) | --DOCSHELL 0x7ff5a7c69000 == 11 [pid = 1861] [id = {34d30db3-c4ef-4ebb-b26a-92257932c6cc}] [url = about:blank]
[task 2019-06-18T05:22:16.312Z] 05:22:16 INFO - GECKO(1861) | console.log: "[DISPATCH] action type:" "CLEAR_FLEXBOX"
[task 2019-06-18T05:22:16.368Z] 05:22:16 INFO - GECKO(1861) | console.log: "[DISPATCH] action type:" "UPDATE_GRIDS"
[task 2019-06-18T05:22:16.627Z] 05:22:16 INFO - GECKO(1861) | --DOMWINDOW == 2 (0x7f47f4204c00) [pid = 1990] [serial = 29] [outer = (nil)] [url = about:blank]
[task 2019-06-18T05:22:16.643Z] 05:22:16 INFO - GECKO(1861) | console.log: "[DISPATCH] action type:" "CLEAR_FLEXBOX"
[task 2019-06-18T05:22:16.705Z] 05:22:16 INFO - GECKO(1861) | console.log: "[DISPATCH] action type:" "UPDATE_OFFSET_PARENT"
[task 2019-06-18T05:22:16.767Z] 05:22:16 INFO - GECKO(1861) | console.log: "[DISPATCH] action type:" "UPDATE_LAYOUT"
[task 2019-06-18T05:22:17.110Z] 05:22:17 INFO - GECKO(1861) | console.log: "[DISPATCH] action type:" "UPDATE_GRIDS"
[task 2019-06-18T05:22:17.167Z] 05:22:17 INFO - GECKO(1861) | console.log: "[DISPATCH] action type:" "UPDATE_OFFSET_PARENT"
[task 2019-06-18T05:22:17.215Z] 05:22:17 INFO - GECKO(1861) | console.log: "[DISPATCH] action type:" "UPDATE_LAYOUT"
[task 2019-06-18T05:22:17.457Z] 05:22:17 INFO - GECKO(1861) | console.log: "[DISPATCH] action type:" "CLEAR_FLEXBOX"
[task 2019-06-18T05:22:17.473Z] 05:22:17 INFO - GECKO(1861) | console.log: "[DISPATCH] action type:" "UPDATE_GRIDS"
[task 2019-06-18T05:22:17.534Z] 05:22:17 INFO - GECKO(1861) | console.log: "[DISPATCH] action type:" "UPDATE_OFFSET_PARENT"
[task 2019-06-18T05:22:17.570Z] 05:22:17 INFO - GECKO(1861) | console.log: "[DISPATCH] action type:" "UPDATE_LAYOUT"
[task 2019-06-18T05:22:17.626Z] 05:22:17 INFO - GECKO(1861) | console.log: "[DISPATCH] action type:" "UPDATE_GRID_HIGHLIGHTED"
[task 2019-06-18T05:22:18.119Z] 05:22:18 INFO - GECKO(1861) | console.log: "[DISPATCH] action type:" "CLEAR_FLEXBOX"
[task 2019-06-18T05:22:18.319Z] 05:22:18 INFO - GECKO(1861) | console.log: "[DISPATCH] action type:" "UPDATE_GRIDS"
[task 2019-06-18T05:22:19.259Z] 05:22:19 INFO - GECKO(1861) | --DOCSHELL 0x7f5c27d2d000 == 1 [pid = 2042] [id = {95571bd0-d6a1-4495-acab-11b6b8c4bbf7}] [url = data:text/html;charset=utf-8,%0A%20%20%3Cstyle%20type%3D'text%2Fcss'%3E%0A%20%20%20%20%23grid%20%7B%0A%20%20%20%20%20%20display%3A%20grid%3B%0A%20%20%20%20%7D%0A%20%20%3C%2Fstyle%3E%0A%20%20%3Cdiv%20id%3D%22grid%22%3E%0A%20%20%20%20%3Cdiv%20id%3D%22cella%22%3ECell%20A%3C%2Fdiv%3E%0A%20%20%20%20%3Cdiv%20id%3D%22cellb%22%3ECell%20B%3C%2Fdiv%3E%0A%20%20%20%20%3Cdiv%20id%3D%22cellc%22%3ECell%20C%3C%2Fdiv%3E%0A%20%20%3C%2Fdiv%3E%0A]
[task 2019-06-18T05:22:19.497Z] 05:22:19 INFO - GECKO(1861) | --DOMWINDOW == 5 (0x7f5c28c7f470) [pid = 2042] [serial = 40] [outer = (nil)] [url = data:text/html;charset=utf-8,%0A%20%20%3Cstyle%20type%3D'text%2Fcss'%3E%0A%20%20%20%20%23grid%20%7B%0A%20%20%20%20%20%20display%3A%20grid%3B%0A%20%20%20%20%7D%0A%20%20%3C%2Fstyle%3E%0A%20%20%3Cdiv%20id%3D%22grid%22%3E%0A%20%20%20%20%3Cdiv%20id%3D%22cella%22%3ECell%20A%3C%2Fdiv%3E%0A%20%20%20%20%3Cdiv%20id%3D%22cellb%22%3ECell%20B%3C%2Fdiv%3E%0A%20%20%20%20%3Cdiv%20id%3D%22cellc%22%3ECell%20C%3C%2Fdiv%3E%0A%20%20%3C%2Fdiv%3E%0A]
[task 2019-06-18T05:22:20.542Z] 05:22:20 INFO - GECKO(1861) | --DOMWINDOW == 39 (0x7ff5af08b800) [pid = 1861] [serial = 241] [outer = (nil)] [url = about:devtools-toolbox]
[task 2019-06-18T05:22:20.542Z] 05:22:20 INFO - GECKO(1861) | --DOMWINDOW == 38 (0x7ff5af131800) [pid = 1861] [serial = 243] [outer = (nil)] [url = about:blank]
[task 2019-06-18T05:22:20.542Z] 05:22:20 INFO - GECKO(1861) | --DOMWINDOW == 37 (0x7ff5b39f2c00) [pid = 1861] [serial = 258] [outer = (nil)] [url = about:blank]
[task 2019-06-18T05:22:20.543Z] 05:22:20 INFO - GECKO(1861) | --DOMWINDOW == 36 (0x7ff5aee4e400) [pid = 1861] [serial = 251] [outer = (nil)] [url = about:blank]
[task 2019-06-18T05:22:20.543Z] 05:22:20 INFO - GECKO(1861) | --DOMWINDOW == 35 (0x7ff5b5f4e800) [pid = 1861] [serial = 245] [outer = (nil)] [url = about:blank]
[task 2019-06-18T05:22:20.544Z] 05:22:20 INFO - GECKO(1861) | --DOMWINDOW == 34 (0x7ff5aee58000) [pid = 1861] [serial = 249] [outer = (nil)] [url = chrome://devtools/content/inspector/markup/markup.xhtml]
[task 2019-06-18T05:22:21.016Z] 05:22:21 INFO - GECKO(1861) | [Child 1990, Main Thread] WARNING: No active window: file /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp, line 662
[task 2019-06-18T05:22:21.153Z] 05:22:21 INFO - GECKO(1861) | --DOMWINDOW == 33 (0x7ff5aefc7a40) [pid = 1861] [serial = 268] [outer = (nil)] [url = about:blank]
[task 2019-06-18T05:22:21.153Z] 05:22:21 INFO - GECKO(1861) | --DOMWINDOW == 32 (0x7ff5aefc7280) [pid = 1861] [serial = 253] [outer = (nil)] [url = chrome://devtools/content/inspector/index.xhtml]
[task 2019-06-18T05:22:21.154Z] 05:22:21 INFO - GECKO(1861) | --DOMWINDOW == 31 (0x7ff5aefc7090) [pid = 1861] [serial = 250] [outer = (nil)] [url = about:devtools-toolbox]
[task 2019-06-18T05:22:21.211Z] 05:22:21 INFO - GECKO(1861) | JavaScript error: resource://devtools/client/inspector/shared/highlighters-overlay.js, line 1266: TypeError: this.parentGridHighlighters is null
[task 2019-06-18T05:22:21.227Z] 05:22:21 INFO - TEST-INFO | started process screentopng
[task 2019-06-18T05:22:21.542Z] 05:22:21 INFO - TEST-INFO | screentopng: exit 0
[task 2019-06-18T05:22:21.542Z] 05:22:21 INFO - Buffered messages logged at 05:22:11
[task 2019-06-18T05:22:21.542Z] 05:22:21 INFO - Entering test bound
[task 2019-06-18T05:22:21.545Z] 05:22:21 INFO - Adding a new tab with URL: data:text/html;charset=utf-8,%0A%20%20%3Cstyle%3E%0A%20%20.container%20%7B%0A%20%20%20%20display%3A%20grid%3B%0A%20%20%20%20grid-template-columns%3A%20repeat(2%2C%2020vw)%3B%0A%20%20%20%20grid-auto-rows%3A%2020px%3B%0A%20%20%7D%0A%20%20%3C%2Fstyle%3E%0A%20%20%3Cdiv%20class%3D%22container%22%3E%0A%20%20%20%20%3Cdiv%3Eitem%201%3C%2Fdiv%3E%0A%20%20%20%20%3Cdiv%3Eitem%202%3C%2Fdiv%3E%0A%20%20%3C%2Fdiv%3E%0A
[task 2019-06-18T05:22:21.545Z] 05:22:21 INFO - Tab added and finished loading
[task 2019-06-18T05:22:21.545Z] 05:22:21 INFO - Opening the inspector
[task 2019-06-18T05:22:21.545Z] 05:22:21 INFO - Opening the toolbox
[task 2019-06-18T05:22:21.548Z] 05:22:21 INFO - Buffered messages logged at 05:22:16
[task 2019-06-18T05:22:21.549Z] 05:22:21 INFO - Toolbox opened and focused
[task 2019-06-18T05:22:21.549Z] 05:22:21 INFO - Buffered messages logged at 05:22:17
[task 2019-06-18T05:22:21.551Z] 05:22:21 INFO - Selecting the layoutview sidebar
[task 2019-06-18T05:22:21.553Z] 05:22:21 INFO - Clicking on the first checkbox to highlight the grid
[task 2019-06-18T05:22:21.554Z] 05:22:21 INFO - Waiting for state predicate "state =>
[task 2019-06-18T05:22:21.556Z] 05:22:21 INFO - state.grids.length == 1 && state.grids[0].highlighted"
[task 2019-06-18T05:22:21.558Z] 05:22:21 INFO - Found state predicate "state =>
[task 2019-06-18T05:22:21.559Z] 05:22:21 INFO - state.grids.length == 1 && state.grids[0].highlighted"
[task 2019-06-18T05:22:21.561Z] 05:22:21 INFO - Buffered messages logged at 05:22:18
[task 2019-06-18T05:22:21.563Z] 05:22:21 INFO - Checking the grid outline is shown.
[task 2019-06-18T05:22:21.564Z] 05:22:21 INFO - TEST-PASS | devtools/client/inspector/grids/test/browser_grids_grid-outline-updates-on-grid-change.js | Grid outline is shown. -
[task 2019-06-18T05:22:21.566Z] 05:22:21 INFO - Changing the grid in the page
[task 2019-06-18T05:22:21.567Z] 05:22:21 INFO - Checking the grid outline is correct.
[task 2019-06-18T05:22:21.568Z] 05:22:21 INFO - TEST-PASS | devtools/client/inspector/grids/test/browser_grids_grid-outline-updates-on-grid-change.js | Grid outline was changed. -
[task 2019-06-18T05:22:21.569Z] 05:22:21 INFO - Leaving test bound
[task 2019-06-18T05:22:21.570Z] 05:22:21 INFO - Buffered messages logged at 05:22:20
[task 2019-06-18T05:22:21.571Z] 05:22:21 INFO - Removing tab.
[task 2019-06-18T05:22:21.572Z] 05:22:21 INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2019-06-18T05:22:21.574Z] 05:22:21 INFO - Buffered messages logged at 05:22:21
[task 2019-06-18T05:22:21.575Z] 05:22:21 INFO - Got event: 'TabClose' on [object XULElement].
[task 2019-06-18T05:22:21.576Z] 05:22:21 INFO - Tab removed and finished closing
[task 2019-06-18T05:22:21.576Z] 05:22:21 INFO - Console message: [JavaScript Error: "TypeError: this.parentGridHighlighters is null" {file: "resource://devtools/client/inspector/shared/highlighters-overlay.js" line: 1266}]
[task 2019-06-18T05:22:21.577Z] 05:22:21 INFO - Buffered messages finished
[task 2019-06-18T05:22:21.578Z] 05:22:21 INFO - TEST-UNEXPECTED-FAIL | devtools/client/inspector/grids/test/browser_grids_grid-outline-updates-on-grid-change.js | A promise chain failed to handle a rejection: this.parentGridHighlighters is null - stack: onMarkupMutation@resource://devtools/client/inspector/shared/highlighters-overlay.js:1266:24
[task 2019-06-18T05:22:21.578Z] 05:22:21 INFO - Async
emit@resource://devtools/shared/event-emitter.js:186:24
[task 2019-06-18T05:22:21.579Z] 05:22:21 INFO - emit@resource://devtools/shared/event-emitter.js:267:18
[task 2019-06-18T05:22:21.579Z] 05:22:21 INFO - _mutationObserver/<@resource://devtools/client/inspector/markup/markup.js:1277:22
[task 2019-06-18T05:22:21.579Z] 05:22:21 INFO - process@resource://gre/modules/Promise-backend.js:923:38
[task 2019-06-18T05:22:21.580Z] 05:22:21 INFO - walkerLoop@resource://gre/modules/Promise-backend.js:807:29
[task 2019-06-18T05:22:21.580Z] 05:22:21 INFO - PromisescheduleWalkerLoop@resource://gre/modules/Promise-backend.js:740:19
[task 2019-06-18T05:22:21.580Z] 05:22:21 INFO - schedulePromise@resource://gre/modules/Promise-backend.js:771:12
[task 2019-06-18T05:22:21.580Z] 05:22:21 INFO - Promise.prototype.then@resource://gre/modules/Promise-backend.js:456:19
[task 2019-06-18T05:22:21.580Z] 05:22:21 INFO - _mutationObserver@resource://devtools/client/inspector/markup/markup.js:1261:56
[task 2019-06-18T05:22:21.580Z] 05:22:21 INFO - emit@resource://devtools/shared/event-emitter.js:186:24
[task 2019-06-18T05:22:21.581Z] 05:22:21 INFO - emit@resource://devtools/shared/event-emitter.js:267:18
[task 2019-06-18T05:22:21.581Z] 05:22:21 INFO - getMutations/<@resource://devtools/shared/fronts/inspector.js:403:12
[task 2019-06-18T05:22:21.581Z] 05:22:21 INFO - promise callback
getMutations@resource://devtools/shared/fronts/inspector.js:262:40
[task 2019-06-18T05:22:21.581Z] 05:22:21 INFO - onMutations@resource://devtools/shared/fronts/inspector.js:414:10
[task 2019-06-18T05:22:21.581Z] 05:22:21 INFO - onPacket@resource://devtools/shared/protocol.js:1413:36
[task 2019-06-18T05:22:21.581Z] 05:22:21 INFO - onPacket@resource://devtools/shared/client/debugger-client.js:560:13
[task 2019-06-18T05:22:21.581Z] 05:22:21 INFO - send/<@resource://devtools/shared/transport/local-transport.js:64:23
[task 2019-06-18T05:22:21.581Z] 05:22:21 INFO - exports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22
[task 2019-06-18T05:22:21.582Z] 05:22:21 INFO - DevToolsUtils.executeSoonexports.executeSoon@resource://devtools/shared/DevToolsUtils.js:55:21
[task 2019-06-18T05:22:21.582Z] 05:22:21 INFO - send@resource://devtools/shared/transport/local-transport.js:58:21
[task 2019-06-18T05:22:21.582Z] 05:22:21 INFO - send@resource://devtools/server/main.js:1023:20
[task 2019-06-18T05:22:21.582Z] 05:22:21 INFO - receiveMessage@resource://devtools/shared/transport/child-transport.js:66:16
[task 2019-06-18T05:22:21.582Z] 05:22:21 INFO - MessageListener.receiveMessage
_addListener@resource://devtools/shared/transport/child-transport.js:40:14
[task 2019-06-18T05:22:21.582Z] 05:22:21 INFO - ready@resource://devtools/shared/transport/child-transport.js:57:10
[task 2019-06-18T05:22:21.582Z] 05:22:21 INFO - connectToFrame/</onActorCreated<@resource://devtools/server/main.js:730:24
[task 2019-06-18T05:22:21.582Z] 05:22:21 INFO - exports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22
[task 2019-06-18T05:22:21.583Z] 05:22:21 INFO - MessageListener.receiveMessagetrackMessageManager@resource://devtools/server/main.js:612:14
[task 2019-06-18T05:22:21.583Z] 05:22:21 INFO - connectToFrame/<@resource://devtools/server/main.js:825:7
[task 2019-06-18T05:22:21.583Z] 05:22:21 INFO - connectToFrame@resource://devtools/server/main.js:601:12
[task 2019-06-18T05:22:21.583Z] 05:22:21 INFO - connect@resource://devtools/server/actors/targets/frame-proxy.js:57:36
[task 2019-06-18T05:22:21.583Z] 05:22:21 INFO - async
BrowserTabList.prototype._getActorForBrowser@resource://devtools/server/actors/webbrowser.js:318:16
[task 2019-06-18T05:22:21.584Z] 05:22:21 INFO - BrowserTabList.prototype.getTab@resource://devtools/server/actors/webbrowser.js:356:21
[task 2019-06-18T05:22:21.584Z] 05:22:21 INFO - onGetTab@resource://devtools/server/actors/root.js:348:35
[task 2019-06-18T05:22:21.584Z] 05:22:21 INFO - onPacket@resource://devtools/server/main.js:1291:58
[task 2019-06-18T05:22:21.584Z] 05:22:21 INFO - send/<@resource://devtools/shared/transport/local-transport.js:64:23
[task 2019-06-18T05:22:21.584Z] 05:22:21 INFO - exports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22
[task 2019-06-18T05:22:21.584Z] 05:22:21 INFO - DevToolsUtils.executeSoonexports.executeSoon@resource://devtools/shared/DevToolsUtils.js:55:21
[task 2019-06-18T05:22:21.585Z] 05:22:21 INFO - send@resource://devtools/shared/transport/local-transport.js:58:21
[task 2019-06-18T05:22:21.585Z] 05:22:21 INFO - send@resource://devtools/shared/protocol.js:1370:30
[task 2019-06-18T05:22:21.585Z] 05:22:21 INFO - request@resource://devtools/shared/protocol.js:1388:10
[task 2019-06-18T05:22:21.585Z] 05:22:21 INFO - generateRequestMethods/</frontProto[name]@resource://devtools/shared/protocol.js:1510:19
[task 2019-06-18T05:22:21.585Z] 05:22:21 INFO - getTab@resource://devtools/shared/fronts/root.js:237:18
[task 2019-06-18T05:22:21.585Z] 05:22:21 INFO - createTargetForTab@resource://devtools/client/framework/target.js:87:28
[task 2019-06-18T05:22:21.585Z] 05:22:21 INFO - async
forTab@resource://devtools/client/framework/target.js:32:26
[task 2019-06-18T05:22:21.585Z] 05:22:21 INFO - openToolboxForTab@chrome://mochitests/content/browser/devtools/client/shared/test/shared-head.js:409:38
[task 2019-06-18T05:22:21.586Z] 05:22:21 INFO - openInspector@chrome://mochitests/content/browser/devtools/client/inspector/test/shared-head.js:30:25
[task 2019-06-18T05:22:21.586Z] 05:22:21 INFO - openInspectorSidebarTab@chrome://mochitests/content/browser/devtools/client/inspector/test/shared-head.js:55:49
[task 2019-06-18T05:22:21.586Z] 05:22:21 INFO - openLayoutView@chrome://mochitests/content/browser/devtools/client/inspector/test/shared-head.js:149:10
[task 2019-06-18T05:22:21.586Z] 05:22:21 INFO - @chrome://mochitests/content/browser/devtools/client/inspector/grids/test/browser_grids_grid-outline-updates-on-grid-change.js:26:57
[task 2019-06-18T05:22:21.586Z] 05:22:21 INFO - Async*Tester_execTest/<@chrome://mochikit/content/browser-test.js:1115:34
[task 2019-06-18T05:22:21.587Z] 05:22:21 INFO - Tester_execTest@chrome://mochikit/content/browser-test.js:1143:12
[task 2019-06-18T05:22:21.587Z] 05:22:21 INFO - nextTest/<@chrome://mochikit/content/browser-test.js:1004:14
[task 2019-06-18T05:22:21.587Z] 05:22:21 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:803:59
[task 2019-06-18T05:22:21.587Z] 05:22:21 INFO - Rejection date: Tue Jun 18 2019 05:22:21 GMT+0000 (Coordinated Universal Time) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 257
[task 2019-06-18T05:22:21.587Z] 05:22:21 INFO - Stack trace:
[task 2019-06-18T05:22:21.588Z] 05:22:21 INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:257
[task 2019-06-18T05:22:21.588Z] 05:22:21 INFO - chrome://mochikit/content/browser-test.js:nextTest:754
[task 2019-06-18T05:22:21.588Z] 05:22:21 INFO - chrome://mochikit/content/browser-test.js:testScope/test_finish/<:1416
[task 2019-06-18T05:22:21.588Z] 05:22:21 INFO - chrome://mochikit/content/browser-test.js:run:1353
[task 2019-06-18T05:22:21.589Z] 05:22:21 INFO - GECKO(1861) | JavaScript error: resource://testing-common/PromiseTestUtils.jsm, line 110: uncaught exception: Object
[task 2019-06-18T05:22:21.589Z] 05:22:21 INFO - GECKO(1861) | MEMORY STAT | vsize 3278MB | residentFast 639MB | heapAllocated 148MB
[task 2019-06-18T05:22:21.589Z] 05:22:21 INFO - TEST-OK | devtools/client/inspector/grids/test/browser_grids_grid-outline-updates-on-grid-change.js | took 9863ms

Whiteboard: [stokwell needswork]
Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/468dc3f604d6
Disable browser_grids_grid-outline-updates-on-grid-change.js cause of frequent failures. r=jmaher
Keywords: leave-open
Whiteboard: [stokwell needswork][stockwell disable-recommended] → [stokwell needswork][stockwell disabled]

Joel this is one of those bugs that doesn't reach the disable queue, but still shows up, any insight on what to do here?

https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-07-25&endday=2019-11-22&tree=trunk&bug=1557181

Flags: needinfo?(jmaher)

this is disabled already on debug(win 10 and linux).

I see most failures as win7/debug, we could do that. That would keep this <10 failures/week.

Flags: needinfo?(jmaher)
Whiteboard: [stokwell needswork][stockwell disabled] → [stokwell disable-recommended (comment 41)]

Unassigning myself since I am on Fenix

Assignee: gl → nobody
Status: ASSIGNED → NEW
Whiteboard: [stokwell disable-recommended (comment 41)] → [stockwell disable-recommended (comment 41)]
Whiteboard: [stockwell disable-recommended (comment 41)]
Assignee: nobody → apavel
Pushed by dvarga@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/e622e29cf2fd
adjust disable for browser_grids_grid-outline-updates-on-grid-change.js on win debug r=jmaher

There are 32 failures associated with this bug in the last 7 days https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2020-02-12&endday=2020-02-19&tree=trunk&bug=1557181
Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=289572558&repo=autoland&lineNumber=2379
This has failed on linux1804-64-asan, macosx1014-64-shippable and windows10-64 - opt and asan build types.
With most of the failures on linux1804-64-asan - opt.
:jmaher, should we update the disable this for linux opt builds as well?

Gabriel can you reply to the above?

Flags: needinfo?(gl)
Whiteboard: [stockwell disabled][stockwell needswork:owner]

Micah, any chance you can take a look at this?

Flags: needinfo?(gl) → needinfo?(mtigley)
Attachment #9129680 - Attachment description: Bug 1557181 - disable browser_grids_grid-outline-updates-on-grid-change.js on linux r?#intermittent-reviewers → Bug 1557181 - disable browser_grids_grid-outline-updates-on-grid-change.js on linux and win asan. r=jmaher
Pushed by apavel@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/235e90663a49
disable browser_grids_grid-outline-updates-on-grid-change.js on linux and win asan. r=jmaher
Flags: needinfo?(mtigley)
You need to log in before you can comment on or make changes to this bug.